LibreOffice: XSimpleMailMessage2 Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Attributes | List of all members
XSimpleMailMessage2 Interface Reference

This interface extends XSimpleMailMessage. More...

`import"XSimpleMailMessage2.idl";`

Inheritance diagram for XSimpleMailMessage2:

## Public Attributes
string | Body

## Additional Inherited Members
Public Member Functions inherited from XSimpleMailMessage
void | setRecipient ([in] string aRecipient)
| To set the recipient of the simple mail message. More...
string | getRecipient ()
| To get the recipient of the simple mail message. More...
void | setCcRecipient ([in] sequence< string > aCcRecipient)
| To set the cc recipients of a simple mail message. More...
sequence< string > | getCcRecipient ()
| To get the cc recipients of a simple mail message. More...
void | setBccRecipient ([in] sequence< string > aBccRecipient)
| To set the BCC recipient of a simple mail message. More...
sequence< string > | getBccRecipient ()
| To get the BCC recipients of a simple mail message. More...
void | setOriginator ([in] string aOriginator)
| To set the email address of the originator of a simple mail message. More...
string | getOriginator ()
| To get the email address of the originator of a simple mail message. More...
void | setSubject ([in] string aSubject)
| To set the subject of a simple mail message. More...
string | getSubject ()
| To get the subject of a simple mail message. More...
void | setAttachement ([in] sequence< string > aAttachement) raises ( ::com::sun::star::lang::IllegalArgumentException )
| To set an attachment of a simple mail message. More...
sequence< string > | getAttachement ()
| To get the attachment of a simple mail message. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface extends XSimpleMailMessage.

Since
  LibreOffice 4.2

## Member Data Documentation

## ◆ Body

string Body
| attribute

The documentation for this interface was generated from the following file:

- com/sun/star/system/XSimpleMailMessage2.idl